import request from '@/utils/request'

// 查询特种设备安全阀台账列表
export function listAqf(query) {
  return request({
    url: '/sems/aqf/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备安全阀台账详细
export function getAqf(id) {
  return request({
    url: '/sems/aqf/' + id,
    method: 'get'
  })
}

// 新增特种设备安全阀台账
export function addAqf(data) {
  return request({
    url: '/sems/aqf',
    method: 'post',
    data: data
  })
}

// 修改特种设备安全阀台账
export function updateAqf(data) {
  return request({
    url: '/sems/aqf',
    method: 'put',
    data: data
  })
}

// 删除特种设备安全阀台账
export function delAqf(id) {
  return request({
    url: '/sems/aqf/' + id,
    method: 'delete'
  })
}

// 导出特种设备安全阀台账
export function exportAqf(query) {
  return request({
    url: '/sems/aqf/export',
    method: 'get',
    params: query
  })
}